## arduino 1.8.16%2Bdfsg1

=== debian/changelog ===
arduino (2:1.8.16+dfsg1-1~bpo11+1) bullseye-backports; urgency=medium

  * Team upload
  * Rebuild for bullseye-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 18 Sep 2021 12:52:10 +0200

arduino (2:1.8.16+dfsg1-1) unstable; urgency=medium

  * [c6b7f17] New upstream version 1.8.16+dfsg1
  * [407f7cf] Rebuild patch queue from patch queue branch
    Removed patch (obsolete):
    debian-hacks/Don-t-download-any-external-documentation-files.patch
  * [ed2ea42] d/control: Bump Standards-Version to 4.6.0
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 11 Sep 2021 08:57:43 +0200

arduino (2:1.8.15+dfsg1-1~bpo11+1) bullseye-backports; urgency=medium

  * Team upload
  * Rebuild for bullseye-backports.
  * [a216e1e] d/gbp.conf: Adjust to target bullseye

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 22 Aug 2021 13:14:24 +0200

=== debian/control ===
Source: arduino
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders:
 Philip Hands <phil@hands.com>,
 Scott Howard <showard@debian.org>,
Build-Depends:
 ant,
 debhelper-compat (= 13),
 default-jdk,
 javahelper,
 libastyle-dev,
 libbatik-java,
 libbcpg-java,
 libbcprov-java,
 libcommons-beanutils-java,
 libcommons-codec-java,
 libcommons-compress-java,
 libcommons-exec-java,
 libcommons-io-java,
 libcommons-httpclient-java,
 libcommons-lang3-java,
 libcommons-logging-java,
 libcommons-net-java,
 libjackson2-annotations-java,
 libjackson2-core-java,
 libjackson2-databind-java,
 libjmdns-java,
 libjna-java,
 libjsch-java,
 libjssc-java,
 liblog4j2-java,
 librsyntaxtextarea-java,
 librxtx-java,
 libsemver-java,
 libtwelvemonkeys-java,
 lmodern,
 pandoc,
 texlive-latex-base,
 texlive-latex-recommended,
 unzip,
Standards-Version: 4.6.0
Homepage: https://www.arduino.cc
Vcs-Browser: https://salsa.debian.org/electronics-team/arduino/arduino
Vcs-Git: https://salsa.debian.org/electronics-team/arduino/arduino.git
Rules-Requires-Root: no

Package: arduino
Architecture: any-amd64 any-i386 arm64 armel armhf
Depends:
 arduino-builder (>= 1.3.25-2),
 arduino-core-avr,
 avrdude,
 default-jre | openjdk-11-jre,
 dpkg-dev,
 libastylej-jni,
 libbatik-java,
 libbcpg-java,
 libbcprov-java,
 libcommons-codec-java,
 libcommons-compress-java,
 libcommons-exec-java,
 libcommons-io-java,
 libcommons-lang3-java,
 libcommons-logging-java,
 libcommons-net-java,
 libhttpclient-java,
 libjackson2-annotations-java,
 libjackson2-core-java,
 libjackson2-databind-java,
 libjaxp1.3-java,
 libjmdns-java,
 libjna-java,
 libjna-platform-java,
 libjsch-java,
 libjssc-java,
 liblistserialsj-dev,
 liblog4j2-java,
 librsyntaxtextarea-java,
 librxtx-java,
 libsemver-java,
 libslf4j-java,
 libxml-commons-external-java,
 libxmlgraphics-commons-java,
 ${misc:Depends},
Recommends:
 extra-xdg-menus,
 policykit-1,
Breaks:
 arduino-core (<< 2:1.5.6.2+sdfsg2-3.1),
Replaces:
 arduino-core (<< 2:1.5.6.2+sdfsg2-3.1),
Provides:
 arduino-core,
Description: AVR development board IDE from Arduino CC
 Arduino is an open-source electronics prototyping platform based on
 flexible, easy-to-use hardware and software. It's intended for artists,
 designers, hobbyists, and anyone interested in creating interactive
 objects or environments.
 .
 This package will install the integrated development environment that
 allows for program writing, code verification, compiling, and uploading
 to the Arduino development board. Example code will also be installed.
 .
 Some base AVR libraries will be provided by the depending additional
 package arduino-core-avr. More libraries can be installed within the IDE
 itself by calling the libarary manager. This requires a working internet
 access.

## arduino 1.8.19+dfsg1

=== debian/changelog ===
arduino (2:1.8.19+dfsg1-5) unstable; urgency=medium

  * Team upload
  * [dde9ba8] Add patch for newer libastyle syntax (Closes: #1104936)
  * [08bfd53] Require libastylej-jni >= 3.6.12 to ensure autoformatter works

 -- Matthias Geiger <werdahias@debian.org>  Mon, 27 Oct 2025 15:30:26 +0100

arduino (2:1.8.19+dfsg1-4) unstable; urgency=medium

  * Team upload
  * Revert the "default-jre | ..." depedency (Closes: #1024460)
  * Remove CDBS leftovers

 -- Alexandre Detiste <tchet@debian.org>  Wed, 24 Sep 2025 18:13:41 +0200

arduino (2:1.8.19+dfsg1-3) unstable; urgency=medium

  * Team upload
  * [8c07b4c] d/control: Depend on libbcutil-java (Closes: #1099511)
  * [b984685] d/control: Bump S-V to 4.7.2, no changes needed

 -- Matthias Geiger <werdahias@debian.org>  Wed, 09 Apr 2025 11:20:48 +0200

arduino (2:1.8.19+dfsg1-2) unstable; urgency=medium

  * Team upload
  * [24cc756] d/control: Remove transitional package policykit-1
    (Closes: #1025548)
  * [b3e95c3] d/control: Add openjdk-17-jre to optional Depends
  * [0798806] d/control: Bump Standards-Version to 4.6.2
  * [9c2b158] d/copyright: Update year data
  * [53f761b] Lintian: Adjust override syntax for arduino package
  * [3f0c153] d/NEWS: Drop the outdated NEWS files

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 12 Aug 2023 09:11:56 +0200

arduino (2:1.8.19+dfsg1-1) unstable; urgency=medium

  * Team upload
  * [d75d6d4] New upstream version 1.8.19+dfsg1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 27 Dec 2021 09:16:32 +0100

arduino (2:1.8.18+dfsg1-1) unstable; urgency=medium

  * Team upload
  * [2c8c580] New upstream version 1.8.18+dfsg1
  * [c98f6a9] d/control: Add needed Build-Depends for manpage build
    To being able to build the manpage arduino.1 from the source additional
    packages are needed, as the source for the manpage is asciidoc we need
    asciidox and xmlto.
  * [d31ebed] d/rules: Add call to build arduino.1 from source
  * [4340dd0] d/arduino.manpages: Use created arduino.1 from source
    Pick up and ship the file arduino.1 from the build directory instead of
    using the old file from the debian/ folder.
    (Closes: #1001758)
  * [ef7cef9] d/arduino.1: Remove the old hand crafted manpage file

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 17 Dec 2021 16:13:30 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  Scott Howard <showard@debian.org>,
 Build-Depends:
  ant,
+ asciidoc,
  debhelper-compat (= 13),
  default-jdk,
  javahelper,
@@ -14,6 +15,7 @@
  libbatik-java,
  libbcpg-java,
  libbcprov-java,
+ libbcutil-java,
  libcommons-beanutils-java,
  libcommons-codec-java,
  libcommons-compress-java,
@@ -40,11 +42,11 @@
  texlive-latex-base,
  texlive-latex-recommended,
  unzip,
-Standards-Version: 4.6.0
+ xmlto,
+Standards-Version: 4.7.2
 Homepage: https://www.arduino.cc
 Vcs-Browser: https://salsa.debian.org/electronics-team/arduino/arduino
 Vcs-Git: https://salsa.debian.org/electronics-team/arduino/arduino.git
-Rules-Requires-Root: no
 
 Package: arduino
 Architecture: any-amd64 any-i386 arm64 armel armhf
@@ -52,12 +54,13 @@
  arduino-builder (>= 1.3.25-2),
  arduino-core-avr,
  avrdude,
- default-jre | openjdk-11-jre,
+ default-jre | java6-runtime,
  dpkg-dev,
- libastylej-jni,
+ libastylej-jni (>= 3.6.12-~~),
  libbatik-java,
  libbcpg-java,
  libbcprov-java,
+ libbcutil-java,
  libcommons-codec-java,
  libcommons-compress-java,
  libcommons-exec-java,
@@ -83,10 +86,10 @@
  libslf4j-java,
  libxml-commons-external-java,
  libxmlgraphics-commons-java,
+ pkexec,
  ${misc:Depends},
 Recommends:
  extra-xdg-menus,
- policykit-1,
 Breaks:
  arduino-core (<< 2:1.5.6.2+sdfsg2-3.1),
 Replaces:

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=/usr/share/java/jna.jar\
:/usr/share/java/jssc.jar\
:/usr/share/java/jsch.jar\
:/usr/share/java/jmdns.jar\
:/usr/share/java/commons-logging.jar\
:/usr/share/java/commons-httpclient.jar\
:/usr/share/java/commons-exec.jar\
# CLASSPATH terminator

# JAR files we need to link into the lib/ folders as jh_linkjars unfortunately
# doesn't recognize these Java libraries. Of course this is a hack.
JAR2LINK=commons-io log4j slf4j

%:
	dh $@ --with javahelper

override_dh_clean:
	rm -rf build/linux/work/hardware/tools
	cd build && ant clean
	rm -f debian/permission-checker/*.class
	dh_clean

override_jh_build: create-jar-links
	jh_linkjars
	mkdir -p build/linux/work/hardware/tools
	cd build && ant
	rm -f build/linux/work/lib/version.txt && \
	    echo "$(DEB_VERSION_UPSTREAM_REVISION)" > build/linux/work/lib/version.txt
	javac debian/permission-checker/arduinopc.java
	cd debian/permission-checker && jar cfe arduinopc.jar arduinopc *.class
	mv debian/permission-checker/*.jar .
	# Rebuild the PDF for the Arduino Serial Plotter Protocol
	pandoc -f gfm \
	       --metadata title="The Arduino Serial Plotter Protocol" \
	       build/shared/ArduinoSerialPlotterProtocol.md \
	       -o build/shared/ArduinoSerialPlotterProtocol.pdf
	cd build/shared && a2x --doctype manpage --format manpage manpage.adoc

override_dh_installchangelogs:
	dh_installchangelogs -k build/linux/work/revisions.txt

override_dh_compress:
	dh_compress -X.ino

override_dh_install:
	find build/linux/work -type d -empty -delete
	rm -f build/linux/work/lib/desktop.template
	rm -rf debian/arduino/usr/share/arduino/lib/icons
	dh_install -Xlicense -XLICENSE -XLicense -XMangler/make.sh

#override_jh_depends:
#jh_depends can't resolve symlinks

# Helper target for linking some required Java libraries into app/lib and arduino-core/lib.
create-jar-links:
	@for javalib in $(JAR2LINK); do \
	    TARGETS=`find /usr/share/java \( -type f -o -type l \) -name "$${javalib}*.jar"` ;\
	    for TARGET in $${TARGETS}; do \
	        for lib_path in arduino-core app; do \
	            cd $(CURDIR)/$${lib_path}/lib && \
	            ln -sf $${TARGET} ;\
	        done ;\
	    done ;\
	done

=== debian/watch ===
# uscan watch file
version=4

opts="mode=git, \
      uversionmangle=s/-(beta|rc|dev)/~$1/; \
                     s/\.-(beta|rc|dev)\.\d.*//; \
                     s/\.\.//,\
      pgpsigurlmangle=s%$%.asc%,\
      dversionmangle=s/\+dfsg(\.?\d+)?$//" \
      https://github.com/arduino/Arduino \
      refs/tags/(\d+\.\d+\.\d+(?:\.?beta[1-9])?)

## arduino 0018+dfsg

=== debian/control ===
Source: arduino
Section: electronics
Priority: extra
Maintainer: Scott Howard <showard314@gmail.com>
Uploaders: Philip Hands <phil@hands.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), javahelper, default-jdk, librxtx-java,
 liboro-java, libantlr-java, libecj-java, libjna-java, perl
Standards-Version: 3.9.0
Homepage: http://www.arduino.cc
Vcs-Git: git://git.debian.org/collab-maint/arduino.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/arduino.git


Package: arduino
Architecture: all
Depends: default-jre | java6-runtime, libantlr-java, libecj-java,
 libjna-java, liboro-java, librxtx-java, openjdk-6-jdk | sun-java6-jdk,
 ${misc:Depends}, arduino-core (= ${binary:Version})
Recommends: extra-xdg-menus
Description: AVR development board IDE and built-in libraries
 Arduino is an open-source electronics prototyping platform based on
 flexible, easy-to-use hardware and software. It's intended for artists,
 designers, hobbyists, and anyone interested in creating interactive
 objects or environments.
 .
 This package will install the integrated development environment that
 allows for program writing, code verfication, compiling, and uploading
 to the Arduino development board. Libraries and example code will also
 be installed.

Package: arduino-core
Architecture: all
Depends: ${misc:Depends}, gcc-avr, avrdude, gcc, avr-libc
Description: Minimal (java-free) tool to interact with an Arduino
 Arduino is an open hardware microcrontoler platform.  This package contains
 the minimal set of tools to allow one to program an Arduino.  It also contains
 some examples, and a quick intro in the package's README.Debian.
 .
 This package does not include the Java based Integrated Development
 Environment, which can be found in the 'arduino' package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=/usr/share/java/RXTXcomm.jar:/usr/lib/jvm/default-java/lib/tools.jar:/usr/lib/jvm/default-java/lib/rt.jar:/usr/share/java/oro.jar:/usr/share/java/antlr.jar:/usr/share/java/ecj.jar:/usr/share/java/jna.jar

%:
	dh $@ --with javahelper

override_jh_build:
	perl preproc.pl
	jh_build --main=processing.app.Base


override_dh_installchangelogs:
	dh_installchangelogs -k readme.txt

override_dh_compress:
	dh_compress -X.pde

override_dh_install:
	dh_install -Xlicense -XLICENSE



SVNTAG=$(shell dpkg-parsechangelog | grep Version | cut -f2 -d" " | sed 's/\([0-9].*\)+dfsg-[0-9]/\1/')
DESTDIR=$(CURDIR)/debian/arduino-$(SVNTAG)+dfsg
TARFILE=arduino_$(SVNTAG)+dfsg.orig.tar.gz

get-orig-source:
	wget http://arduino.googlecode.com/files/arduino-$(SVNTAG).tgz;\
	wget http://arduino.googlecode.com/svn/tags/$(SVNTAG)/license.txt;\
	tar -xf arduino-$(SVNTAG).tgz;\
	cp -a arduino-$(SVNTAG) $(DESTDIR);\
	mv license.txt $(DESTDIR);\
	rm -rf arduino-$(SVNTAG).tgz arduino-$(SVNTAG);\
	
	svn export http://arduino.googlecode.com/svn/tags/$(SVNTAG)/app $(DESTDIR)-app/;\
	svn export http://arduino.googlecode.com/svn/tags/$(SVNTAG)/core $(DESTDIR)-core/;\
	
	mkdir -p $(DESTDIR)/src/processing/;\
	cp -a $(DESTDIR)-app/src/processing/* $(DESTDIR)/src/processing/;\
	cp -a $(DESTDIR)-core/src/processing/* $(DESTDIR)/src/processing/;\
	mv $(DESTDIR)-core/preproc.pl $(DESTDIR);\
	#remove junk
	find $(DESTDIR) -type f -iname *.jar -or -iname *.tgz -or -iname *.so | xargs -n1 rm -f;\
	find $(DESTDIR) -type d -empty -delete;\
	rm -f $(DESTDIR)/src/processing/app/preproc/.cvsignore;\
	rm -f $(DESTDIR)/.project;\
	rm -fr $(DESTDIR)/.[a-z]*;\
	rm -fr $(DESTDIR)/app/.[a-z]*;\
	rm -fr $(DESTDIR)/hardware/tools;\
	#upstream set a bunch of files as execultable that should not be. remove the -x bit
	find $(DESTDIR) -type f -iname *.jpg -or -iname *.java -or -iname *.pde -or -iname *.h -or -iname *.cpp -or -iname *.c -or -iname *.txt -or -iname makefile -or -iname key*.txt -or -iname pref*.txt | xargs chmod -x;\
	
	tar zcf $(CURDIR)/../$(TARFILE) -C $(CURDIR)/debian arduino-$(SVNTAG)+dfsg;\
	rm -fr $(DESTDIR) $(DESTDIR)-app $(DESTDIR)-core;\

PHONY: build clean binary-indep binary install get-orig-source

=== debian/watch ===
version=3
opts=\
dversionmangle=s/.dfsg//,\
downloadurlmangle=s|.*[?]name=(.*?)&.*|http://arduino.googlecode.com/files/$1|,\
filenamemangle=s|[^/]+[?]name=(.*?)&.*|$1| \
http://code.google.com/p/arduino/downloads/detail[?]name=arduino-([0-9]+).tgz&.*

## arduino 0022+dfsg

=== debian/changelog ===
arduino (0022+dfsg-4) unstable; urgency=low

  * debian/patches/libc_1.7.1.patch
    - Comment out definition of round, which conflicts with math.h
      declaration (Closes: #633659)
  * debian/control: arduino-core depend on avr-libc (>> 1:1.7.1-2) for
    above patch

 -- Scott Howard <showard@debian.org>  Thu, 21 Jul 2011 14:16:53 -0400

=== debian/control ===
Source: arduino
Section: electronics
Priority: extra
Maintainer: Scott Howard <showard@debian.org>
Uploaders: Philip Hands <phil@hands.com>
Build-Depends: debhelper (>= 8), javahelper, default-jdk,
 librxtx-java (>= 2.2pre2-3), libjna-java, ant
Standards-Version: 3.9.1
Homepage: http://www.arduino.cc
Vcs-Git: git://git.debian.org/collab-maint/arduino.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/arduino.git


Package: arduino
Architecture: all
Depends: default-jre | java6-runtime, libjna-java,
 librxtx-java (>= 2.2pre2-3), ${misc:Depends},
 arduino-core (= ${binary:Version})
Recommends: extra-xdg-menus
Description: AVR development board IDE and built-in libraries
 Arduino is an open-source electronics prototyping platform based on
 flexible, easy-to-use hardware and software. It's intended for artists,
 designers, hobbyists, and anyone interested in creating interactive
 objects or environments.
 .
 This package will install the integrated development environment that
 allows for program writing, code verfication, compiling, and uploading
 to the Arduino development board. Libraries and example code will also
 be installed.

Package: arduino-core
Architecture: all
Depends: ${misc:Depends}, gcc-avr, avrdude, gcc, avr-libc (>= 1:1.7.1-2)
Description: Minimal (java-free) tool to interact with an Arduino
 Arduino is an open hardware microcontroller platform.  This package contains
 the minimal set of tools to allow one to program an Arduino.  It also contains
 some examples, and a quick intro in the package's README.Debian.
 .
 This package does not include the Java based Integrated Development
 Environment, which can be found in the 'arduino' package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export JAVA_HOME=/usr/lib/jvm/default-java
#export CLASSPATH=/usr/share/java/RXTXcomm.jar:/usr/lib/jvm/default-java/lib/tools.jar:/usr/lib/jvm/default-java/lib/rt.jar:/usr/share/java/oro.jar:/usr/share/java/antlr.jar:/usr/share/java/ecj.jar:/usr/share/java/jna.jar

SVNTAG=$(shell dpkg-parsechangelog | grep Version | cut -f2 -d" " | sed 's/\([0-9].*\)+dfsg-[0-9]/\1/')

%:
	dh $@ --with javahelper

override_dh_clean:
	rm -rf build/linux/work/hardware/tools
	cd core/methods && ant clean
	cd build && ant clean
	dh_clean

override_jh_build:
	jh_linkjars
	mkdir -p build/linux/work/hardware/tools	
	cd core/methods && ant
	cd build && ant
	rm -f build/linux/work/lib/version.txt && echo $(SVNTAG) > build/linux/work/lib/version.txt


override_dh_installchangelogs:
	dh_installchangelogs -k build/linux/work/revisions.txt

override_dh_compress:
	dh_compress -X.pde

override_dh_install:
	find build/linux/work -type d -empty -delete
	dh_install -Xlicense -XLICENSE -XLicense -XMangler/make.sh
	mkdir -p debian/arduino-core/usr/share/arduino/lib
	mv debian/arduino/usr/share/arduino/lib/*.txt debian/arduino-core/usr/share/arduino/lib

override_jh_depends:
#jh_depends can't resolve symlinks
    


#SVNTAG=$(shell dpkg-parsechangelog | grep Version | cut -f2 -d" " | sed 's/\([0-9].*\)+dfsg-[0-9]/\1/')
DESTDIR=$(CURDIR)/debian/arduino-$(SVNTAG)
TARFILE=arduino_$(SVNTAG)+dfsg.orig.tar.gz

get-orig-source:
	wget http://arduino.googlecode.com/files/arduino-$(SVNTAG)-src.tar.gz
	jh_repack --upstream-version $(SVNTAG) arduino-$(SVNTAG)-src.tar.gz
	tar xzf arduino-$(SVNTAG)-src.tar.gz -C debian/
	#remove junk
	find $(DESTDIR) -type f -iname *.jar -or -iname *.tgz -or -iname *.so -or -iname .cvsignore | xargs -n1 rm -f;\
	#find $(DESTDIR) -type d -empty -delete;\
	#find $(DESTDIR) -type d -iname macosx -or -iname windows | xargs -n1 rm -fr;\
	#rm -f $(DESTDIR)/src/processing/app/preproc/.cvsignore;\
	#rm -rf $(DESTDIR)/build/linux/dist/lib;\
	rm -rf $(DESTDIR)/build/linux/dist/tools;\
	#rm -f $(DESTDIR)/.project;\
	#rm -fr $(DESTDIR)/.[a-z]*;\
	#rm -fr $(DESTDIR)/app/.[a-z]*;\
	#rm -fr $(DESTDIR)/hardware/tools;\
	#upstream set a bunch of files as execultable that should not be. remove the -x bit
	find $(DESTDIR) -type f -iname *.jpg -or -iname *.java -or -iname *.pde -or -iname *.h -or -iname *.cpp -or -iname *.c -or -iname makefile -or -iname key*.txt -or -iname pref*.txt -or -iname '*.txt' -print0 | xargs -0 chmod -x;\
	
	tar zcf $(CURDIR)/../$(TARFILE) -C $(CURDIR)/debian arduino-$(SVNTAG);\
	rm -fr $(DESTDIR);\
	rm -fr arduino-$(SVNTAG)-src.tar.gz

PHONY: build clean binary-indep binary install get-orig-source

## arduino exporter-0.5.3

=== Makefile ===
PYTHON ?= python
PIP ?= $(PYTHON) -m pip
TOX ?= tox


help: Makefile
	@echo
	@echo " Choose a command run in Arduino Exporter:"
	@echo
	@sed -n 's/^##//p' $< | column -t -s ':' |  sed -e 's/^/ /'
	@echo


## config: Install needed dependencies.
.PHONY: config
config:
	$(PIP) install twine
	$(PIP) install wheel
	$(PIP) install tox
	$(PIP) install setuptools-scm


## test: Run test case.
.PHONY: test
test:
	@echo "\n==> Run Test Cases:"
	$(TOX)


## ci: Run all CI checks.
.PHONY: ci
ci: test
	@echo "\n==> All quality checks passed"


## build: Build the package.
.PHONY: build
build:
	$(TOX) -e clean
	$(TOX) -e build


## version: Get latest version
.PHONY: version
version:
	$(PYTHON) setup.py --version


## release: Release to PyPi
release:
	$(PYTHON) -m twine upload --repository-url https://upload.pypi.org/legacy/ dist/*


## install: Install the package locally
.PHONY: install
install:
	$(PYTHON) setup.py install


.PHONY: ci
